/*
 *   $RCSfile: bm_intfuncs.h,v $  
 *   $Revision: 2.6 $  
 *   $Date: 1992/04/06 20:11:59 $      
 */ 
#ifndef __BM_INTFUNCS_H__
#define __BM_INTFUNCS_H__

/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

extern void			BM_AllocBits (FREECONTEXT *);
extern int			BM_CheckFree (FOUR, FOUR, FOUR, FOUR, FOUR, FREECONTEXT *, GROUPLINK *);
extern int			BM_CheckWord (UFOUR, FOUR, FOUR, FOUR, FOUR *);
extern void			BM_ContigBits (FREECONTEXT *);
extern void			BM_ListUnfix (PID *, LIST *);
extern FREECONTEXT 	*bm_AllocFreeContext (void);
extern PAGECONTEXT	*bm_AllocPageContext (void);
extern void			BM_FreeBits (FREECONTEXT *);


#ifdef __cplusplus
}
#endif
#endif __BM_INTFUNCS_H__
